# Uses of Interface
org.springframework.beans.factory.aot.BeanFactoryInitializationAotContribution

Packages that use BeanFactoryInitializationAotContribution
Package
Description
org.springframework.beans.factory.aot
AOT support for bean factories.

## Uses of BeanFactoryInitializationAotContribution in org.springframework.beans.factory.aot

Methods in org.springframework.beans.factory.aot that return BeanFactoryInitializationAotContribution
Modifier and Type
Method
Description
`BeanFactoryInitializationAotContribution`
BeanFactoryInitializationAotProcessor.`processAheadOfTime(ConfigurableListableBeanFactory beanFactory)`
Process the given `ConfigurableListableBeanFactory` instance ahead-of-time and return a contribution or `null`.